id2image {sma} | R Documentation

## Converting an id tag to a Set of Image Coordinates and Vice Versa

### Description

The function `id2image` converts an id tag of a gene supplied by a user into a set of image coordinates regarding the location of the gene being considered. Conversion of image coordinates to an id tag is performed by `image2id`.

### Usage

    id2image(X, layout)
    image2id(x, layout)

### Arguments

`X` | an integer value representing the id of a particular gene
`layout` |
`x` | a vector of 4 integer elements which make up the image coordinates of the gene.

### Details

The image coordinates of a gene correspond to the gene's grid row and grid column position within a slide, and the gene's row and column position within a grid.

### Value

`id2image` returns a vector of 4 integer elements which is the set of image coordinates. `image2id` returns an integer value which is the gene's id tag.

### Author(s)

Yee Hwa Yang, yeehwa@stat.berkeley.edu

### See Also

`MouseArray`

### Examples

    data(MouseArray)
    # mouse.setup <- init.grid()

    id2image(1024, mouse.setup)
    ## You will see: [1]  1 3 11 16
    ## the grid in which gene 1024 can be found, is in row 1, column 3
    ## and the gene is located in row 11, column 16 of this particular grid.

    image2id(c(2,4,6,8), mouse.setup)
    ## You will see: [1] 2906
    ## the gene located in row 6, column 8 in the grid that is in row 2 and
    ## column 4 is the 2906th gene of the data set.

[Package sma version 0.5.14 Index]